xsetiathome(1)

NAME
xsetiathome - display SETI data under X Windows

SYNOPSIS
xsetiathome [-fullscreen]

DESCRIPTION
xsetiathome is a graphical display for setiathome(1). To use it you must run setiathome(1) with the -graphics flag.

A typical invocation of xsetiathome will look like this:

    % setiathome -graphics &
    % xsetiathome

Alternatively, xsetiathome can be executed in screensaver mode, which requires an external application such as xautolock(1).

OPTIONS

-fullscreen
    Take over the entire display. When running in this mode, any mouse presses will exit the application.

SEE ALSO
setiathome(1), xautolock(1), ipcs(1), ipcrm(1).

BUGS
Please note, this xsetiathome binary is an initial experiment. We are fully aware that it may have some significant bugs and we are continuing to work on it. Please do not report bugs on this binary at this time.

Only one instance of setiathome -graphics can be operating at any one time on a system. There is no conflict resolution with the allocated shared memory segments and semaphores. Therefore, only one instance of xsetiathome is practical.

Outstanding shared memory segments and semaphores may be left active in case of an abnormal exit of the setiathome -graphics process. These can prevent any future invocation of setiathome -graphics. To resolve this problem, use ipcs(1) and ipcrm(1) to remove shared memory segments and semaphores that are not associated with a process. This behavior may vary depending upon how your UNIX system handles this situation.

The xsetiathome process may affect system performance adversely. This behavior may vary depending upon your version of the X11 Window System client libraries and/or your X server and its operating mode/visual depth.